Subject: Re: bug#5083: 23.1.50; Eshell | Invalid function: eshell-eval-using-options

From: Leo <[email-masked]>
Date: Tue, 01 Dec 2009 14:13:53 +0000

On 2009-12-01 11:00 +0000, Michael Albinus wrote:
> Leo <[email-masked]> writes:
>
>> On 2009-11-30 19:20 +0000, Leo wrote:
>>> To reproduce
>>>
>>> 1. emacs -q and M-x eshell
>>>
>>> 2. mkdir test
>>>
>>> "Invalid function: eshell-eval-using-options" will be printed in the
>>> eshell buffer although 'test' is successfully created.
>>
>> Additionally, 'rm somefile' generates
>>
>>     Symbol's value as variable is void: interactive
>>
>> and the file is not removed.
>
> I cannot reproduce it (anymore). I have seen a similar error wrt
> eshell-eval-using-options some days ago; meanwhile it does not happen
> anymore. Maybe you make a fresh checkout, and apply "make bootstrap"?

Indeed this is due to eshell-eval-using-options macro. `em-unix'
requires `esh-opt' to compile otherwise this error is borne. I have
close this bug. Sorry for the false report.

>> Leo
> Best regards, Michael.

Leo